<?php
require'fun.php';
require'f_admin.php';
if($perm<2)
require'interzis.php';
$x1='';
$x2='';
$x3='';
$x4='';
$categorii=[1=>[' pentru albume descărcări cu logo','/categorie/1-albume-descarcari-cu-logo','`descarcari_albume`','`logo`'],2=>[' pentru albume descărcări cu logo1','/categorie/2-albume-descarcari-cu-logo1','`descarcari_albume`','`logo1`'],3=>[' pentru albume descărcări cu logo2','/categorie/3-albume-descarcari-cu-logo2','`descarcari_albume`','`logo2`'],4=>[' pentru albume descărcări cu logo3','/categorie/4-albume-descarcari-cu-logo3','`descarcari_albume`','`logo3`'],5=>[' pentru albume descărcări cu logo4','/categorie/5-albume-descarcari-cu-logo4','`descarcari_albume`','`logo4`'],6=>[' pentru albume descărcări cu logo5','/categorie/6-albume-descarcari-cu-logo5','`descarcari_albume`','`logo5`'],7=>[' pentru grupuri cu logo','/categorie/7-grupuri-cu-logo','`grupuri`','`logo`'],8=>[' pentru parteneri cu logo','/categorie/8-parteneri-cu-logo','`parteneri`','`logo`']];
if($cid>0&&in_array($cid,array_keys($categorii)))
{
$x1.=$categorii[$cid][0];
$x2.=$categorii[$cid][1];
$x3.=$categorii[$cid][2];
$x4.=$categorii[$cid][3];
if($_SERVER['REQUEST_URI']!='/admin-aplica-nume-site-pe-logo'.$x2)
$back[2]='<a href="/admin-aplica-nume-site-pe-logo'.$x2.'">'.img('administrare.png',1).'Aplică nume site pe logo'.$x1.'</a>';
}
if($_SERVER['REQUEST_URI']!='/admin-aplica-nume-site-pe-logo')
$back[1]='<a href="/admin-aplica-nume-site-pe-logo">'.img('administrare.png',1).'Aplică nume site pe logo</a>';
$titlu='Aplică nume site pe logo'.$x1;
if($cid!=''&&$fid=='')
{
$chenar_patrat=1;
require'f_tabelare.php';
}
require'f_sus.php';
if($cid!='')
{
if(!in_array($cid,array_keys($categorii)))
{
echo$div[4].'<img src="'.$domenii_statice[2].'actiune_delete.png" alt="" width="16" height="16" />Eroare!'.$div[5].$div[7].'Nu ai ales o categorie definită în script!'.$div[0];
require'f_jos.php';
}
if($fid!='')
{
$finfo=$conn->query('SELECT`id`,'.$x4.'FROM'.$x3.'WHERE'.($fid>0?'`id`="'.$fid.'"':$x4.($go=='aplica'?'NOT ':'').'LIKE"%logo\_mic\_%"&&'.$x4.'!=""ORDER BY`id`'))->fetch_row();
if($finfo[0]==0)
{
echo$div[4].'<img src="'.$domenii_statice[2].'actiune_delete.png" alt="" width="16" height="16" />Eroare!'.$div[5].$div[7].($fid>0?'Identitatea '.$fid.' din tabela '.$x3.' nu are completată valoarea coloanei '.$x4:'Nu mai sunt logo-uri cu numele site-ului ne scris pe imagine, în tabela '.$x3.', coloana '.$x4).'!'.$div[0];
require'f_jos.php';
}
else
{
$folder=str_replace('/'.basename($finfo[1]),'',$finfo[1]);
$nume=basename($finfo[1]);
if($go=='aplica')
{
require'clasa_imagine.php';
$thumb=new Thumbnail($finfo[1]);
$thumb->archive_dir=$folder;
[$width,$height]=getimagesize($finfo[1]);
if($width<400)
$thumb->img_watermark='img/logo_poze/mic.png';
elseif($width>400||$width<800)
$thumb->img_watermark='img/logo_poze/mij.png';
elseif($width>800)
$thumb->img_watermark='img/logo_poze/mare.png';
if($width<400)
$thumb->size($width,$height);
elseif($width>400||$width<800)
$thumb->size_auto(700);
elseif($width>800||$width<1200)
$thumb->size_auto(1000);
elseif($width>1200)
$thumb->size_auto(1200);
$thumb->process();
$filename=$thumb->unique_filename($nume);
$status=$thumb->save($filename);
copy($filename,$folder.'/logo_mare_'.$filename);
unlink($filename);
$thumb1=new Thumbnail($finfo[1]);
$thumb1->archive_dir=$folder;
$thumb1->img_watermark='img/logo_poze/thumb.png';
$thumb1->size_auto(175);
$thumb1->process();
$filename1=$thumb1->unique_filename($nume);
$status1=$thumb1->save($filename1);
$dirmic=$folder.'/logo_mic_'.$filename1;
copy($filename1,$dirmic);
unlink($filename1);
echo($conn->query('UPDATE'.$x3.'SET'.$x4.'="'.$dirmic.'"WHERE`id`="'.$finfo[0].'"')?$div[4].'<img src="'.$domenii_statice[1].'actiune_check.png" alt="" width="16" height="16" />Succes!'.$div[5].$div[6].'Numele site-ului a fost aplicat pe '.($fid==0?'logoul cu identitatea <strong>'.$finfo[0].'</strong><meta http-equiv="refresh" content="0; url='.$_SERVER['REQUEST_URI'].'" />':'acest logo').'!':$div[4].'<img src="'.$domenii_statice[2].'actiune_delete.png" alt="" width="16" height="16" />Eroare!'.$div[5].$div[7].'Numele site-ului nu a fost aplicat pe '.($fid==0?'logoul cu identitatea <strong>'.$finfo[0].'</strong>':'acest logo').'!').$div[0];
require'f_jos.php';
}
elseif($go=='sterge')
{
if(mb_stristr($finfo[1],'logo_mic_'))
{
$link_original=$folder.'/'.str_replace('logo_mic_','',$nume);
if(file_exists($link_original))
{
if(!unlink($finfo[1]))
$conn->query('INSERT INTO`jurnal_admini`SET`nume`="Erori FTP",`de`="'.$id_robot.'",`text`="imaginea de la link-ul: '.$finfo[1].', nu a putut fi ștearsă, trebuie să fie ștearsă manual din FTP.",`data`="'.$_SERVER['REQUEST_TIME'].'"');
if(!unlink(str_replace('logo_mic_','logo_mare_',$finfo[1])))
$conn->query('INSERT INTO`jurnal_admini`SET`nume`="Erori FTP",`de`="'.$id_robot.'",`text`="imaginea de la link-ul: '.str_replace('logo_mic_','logo_mare_',$finfo[1]).', nu a putut fi ștearsă, trebuie să fie ștearsă manual din FTP.",`data`="'.$_SERVER['REQUEST_TIME'].'"');
echo($conn->query('UPDATE'.$x3.'SET'.$x4.'="'.$link_original.'"WHERE`id`="'.$finfo[0].'"')?$div[4].'<img src="'.$domenii_statice[1].'actiune_check.png" alt="" width="16" height="16" />Succes!'.$div[5].$div[6].'Logoul a fost actualizat la cel original pentru '.($fid==0?'elementul cu identitatea <strong>'.$finfo[0].'</strong><meta http-equiv="refresh" content="0; url='.$_SERVER['REQUEST_URI'].'" />':'acest element').'!':$div[4].'<img src="'.$domenii_statice[2].'actiune_delete.png" alt="" width="16" height="16" />Eroare!'.$div[5].$div[7].'Logoul nu a fost actualizat la cel original pentru '.($fid==0?'elementul cu identitatea <strong>'.$finfo[0].'</strong>':'acest element').'!').$div[0];
}
else
echo$div[4].'<img src="'.$domenii_statice[2].'actiune_delete.png" alt="" width="16" height="16" />Eroare!'.$div[5].$div[7].'Nu a fost găsit fișierul ne modificat al acestui logo, așa că logo-ul actual nu a fost modificat!';
}
else
echo$div[4].'<img src="'.$domenii_statice[2].'actiune_delete.png" alt="" width="16" height="16" />Eroare!'.$div[5].$div[7].'Pe acest logo nu a fost aplicat numele site-ului folosind acest script, așa că nu poate fi șters!';
echo$div[0];
require'f_jos.php';
}
else
{
echo$div[4].'<img src="'.$domenii_statice[2].'actiune_delete.png" alt="" width="16" height="16" />Eroare!'.$div[5].$div[7].'Nu ai ales o acțiune definită în script!'.$div[0];
require'f_jos.php';
}
}
}
echo$div[4].img('administrare.png',1).'Aplică nume site pe logo'.$x1.$div[5];
$elemente=$conn->query('SELECT COUNT(*)FROM'.$x3.'WHERE'.$x4.'!=""')->fetch_row()[0];
if($elemente>0)
{
require'f_paginare1.php';
echo'<table'.$clasa_tabel.'>';
$items=$conn->query('SELECT`id`,'.$x4.'FROM'.$x3.'WHERE'.$x4.'!=""ORDER BY`id`LIMIT '.$limit_start.','.$pe_pagina);
while($item=$items->fetch_row())
{
echo'<tr><td'.$clasa_kk.'><a href="/'.str_replace('logo_mic_','',$item[1]).'"><img '.$clasa_imagine.'src="/'.str_replace('logo_mic_','',$item[1]).'" alt="Se încarcă..." /></a></td><td'.$clasa_kk.'>'.(mb_stristr($item[1],'logo_mic_')?'<a href="/'.str_replace('logo_mic_','logo_mare_',$item[1]).'"><img '.$clasa_imagine.'src="/'.$item[1].'" alt="Se încarcă..." /></a><strong> - </strong><a href="/admin-aplica-nume-site-pe-logo'.$x2.'/v/'.$item[0].'-/tip/sterge"><img src="'.$domenii_statice[2].'sterge.png" alt="" width="16" height="16" /></a>':'Pe acest logo nu a fost scris numele site-ului<strong> - </strong><a href="/admin-aplica-nume-site-pe-logo'.$x2.'/v/'.$item[0].'-/tip/aplica">Aplică numele site-ului</a>').'</td></tr>';
}
echo'</table>';
require'f_paginare2.php';
echo$div[1].'<a href="/admin-aplica-nume-site-pe-logo'.$x2.'/v/0-/tip/aplica">Aplică numele site-ului pe toate logourile</a><strong> - </strong><a href="/admin-aplica-nume-site-pe-logo'.$x2.'/v/0-/tip/sterge"><img src="'.$domenii_statice[2].'sterge.png" alt="" width="16" height="16" />Șterge toate logourile pe care a fost aplicat numele site-ului</a>'.$div[0];
}
else
echo$div[7].'Nu sunt intrări de afișat!'.$div[0];
}
else
{
echo$div[4].img('administrare.png',1).'Aplică nume site pe logo'.$x1.$div[5].$div[10].'Cu ajutorul acestui meniu poți inscripționa logo-urile cu numele site-ului, împotriva celor ce doresc să le copieze pe alte site-uri.'.$div[0].$div[4].img('administrare.png',1).'Alege un tip de interogări pentru afișare:'.$div[5];
for($i=array_keys($categorii)[0];$i<=count($categorii);$i++)
{
echo$div[1].'<a href="/admin-aplica-nume-site-pe-logo'.$categorii[$i][1].'">Logo'.$categorii[$i][0].'</a> <strong>'.number_format($conn->query('SELECT COUNT(*)FROM'.$categorii[$i][2].'WHERE'.$categorii[$i][3].'!=""')->fetch_row()[0]).' total, '.number_format($conn->query('SELECT COUNT(*)FROM'.$categorii[$i][2].'WHERE'.$categorii[$i][3].'!=""&&'.$categorii[$i][3].'LIKE"%logo\_mic\_%"')->fetch_row()[0]).' modificate, '.number_format($conn->query('SELECT COUNT(*)FROM'.$categorii[$i][2].'WHERE'.$categorii[$i][3].'!=""&&'.$categorii[$i][3].'NOT LIKE"%logo\_mic\_%"')->fetch_row()[0]).' ne modificate</strong>'.$div[0];
}
}
require'f_jos.php';